{
  "name": "gitter-webapp",
  "version": "19.2.0",
  "private": true,
  "dependencies": {
    "@gitterhq/faye-redis": "^0.4.4",
    "@gitterhq/passport-github": "0.1.8-g",
    "@gitterhq/passport-oauth2": "^1.1.2-b",
    "@gitterhq/services": "^1.21.1",
    "apn": "1.7.5",
    "async": "~0.9.0",
    "backbone": "1.2.3",
    "batch-stream": "^0.1.2",
    "bluebird": "^3.5.1",
    "body-parser": "^1.13.2",
    "classnames": "^2.2.5",
    "cld": "^2.4.5",
    "cliff": "^0.1.10",
    "connect-redis": "^3.1.0",
    "cookie-parser": "^1.3.5",
    "core-js": "^2.5.6",
    "cors": "^2.4.2",
    "cypher-promise": "^1.0.1",
    "debug": "^2.2.0",
    "dolph": "^0.2.0",
    "elasticsearch": "^11.0.0",
    "email-validator": "^1.0.0",
    "ent": "~0.1.0",
    "escape-string-regexp": "^1.0.5",
    "event-stream": "^3.3.1",
    "express": "^4.13.1",
    "express-hbs": "~0.8.4",
    "express-session": "^1.11.3",
    "fast-csv": "^0.6.0",
    "fflip": "git+https://github.com/suprememoocow/fflip.git#fa77d5d981c2b93279c42305e8fe5632716c06a5",
    "fs-extra": "^0.8.1",
    "fuzzysearch": "^1.0.3",
    "gitter-app-version": "file:modules/app-version",
    "gitter-client-env": "file:modules/client-env",
    "gitter-faye": "^1.2.0",
    "gitter-markdown-processor": "^12.1.0",
    "gitter-passport-http-bearer": "^1.1.2",
    "gitter-realtime-client": "^1.7.0",
    "gitter-redis-scripto": "^0.2.2",
    "gitter-web-api-client": "file:modules/api-client",
    "gitter-web-appevents": "file:modules/appevents",
    "gitter-web-avatars": "file:modules/avatars",
    "gitter-web-backend-muxer": "file:modules/backend-muxer",
    "gitter-web-cache-wrapper": "file:modules/cache-wrapper",
    "gitter-web-cdn": "file:modules/cdn",
    "gitter-web-chats": "file:modules/chats",
    "gitter-web-collaborators": "file:modules/collaborators",
    "gitter-web-elasticsearch": "file:modules/elasticsearch",
    "gitter-web-email-addresses": "file:modules/email-addresses",
    "gitter-web-email-notifications": "file:modules/email-notifications",
    "gitter-web-env": "file:modules/env",
    "gitter-web-events": "file:modules/events",
    "gitter-web-fingerprinting": "file:modules/fingerprinting",
    "gitter-web-frame-utils": "file:modules/frame-utils",
    "gitter-web-github": "file:modules/github",
    "gitter-web-github-backend": "file:modules/github-backend",
    "gitter-web-gitlab": "file:modules/gitlab",
    "gitter-web-gitlab-backend": "file:modules/gitlab-backend",
    "gitter-web-google-backend": "file:modules/google-backend",
    "gitter-web-groups": "file:modules/groups",
    "gitter-web-i18n": "file:modules/i18n",
    "gitter-web-identity": "file:modules/identity",
    "gitter-web-intercom": "file:modules/intercom",
    "gitter-web-invites": "file:modules/invites",
    "gitter-web-linkedin-backend": "file:modules/linkedin-backend",
    "gitter-web-live-collection-events": "file:modules/live-collection-events",
    "gitter-web-mailer": "file:modules/mailer",
    "gitter-web-mongoose-bluebird": "file:modules/mongoose-bluebird",
    "gitter-web-permissions": "file:modules/permissions",
    "gitter-web-persistence": "file:modules/persistence",
    "gitter-web-persistence-utils": "file:modules/persistence-utils",
    "gitter-web-presence": "file:modules/presence",
    "gitter-web-push-gateways": "file:modules/push-gateways",
    "gitter-web-push-notification-filter": "file:modules/push-notification-filter",
    "gitter-web-push-notifications": "file:modules/push-notifications",
    "gitter-web-qs": "file:modules/qs",
    "gitter-web-rooms": "file:modules/rooms",
    "gitter-web-serialization": "file:modules/serialization",
    "gitter-web-service-worker": "file:modules/service-worker",
    "gitter-web-shared": "file:./shared/",
    "gitter-web-slugify": "file:modules/slugify",
    "gitter-web-spam-detection": "file:modules/spam-detection",
    "gitter-web-split-tests": "file:modules/split-tests",
    "gitter-web-suggestions": "file:modules/suggestions",
    "gitter-web-templates": "file:modules/templates",
    "gitter-web-text-processor": "file:modules/text-processor",
    "gitter-web-topic-models": "file:modules/topic-models",
    "gitter-web-topic-notifications": "file:modules/topic-notifications",
    "gitter-web-topic-reactions": "file:modules/topic-reactions",
    "gitter-web-topic-serialization": "file:modules/topic-serialization",
    "gitter-web-topics": "file:modules/topics",
    "gitter-web-topics-ui": "file:modules/topics-ui",
    "gitter-web-twitter": "file:modules/twitter",
    "gitter-web-twitter-backend": "file:modules/twitter-backend",
    "gitter-web-unread-items": "file:modules/unread-items",
    "gitter-web-uri-resolver": "file:modules/uri-resolver",
    "gitter-web-user-serialization": "file:modules/user-serialization",
    "gitter-web-user-settings": "file:modules/user-settings",
    "gitter-web-users": "file:modules/users",
    "gitter-web-utils": "file:modules/utils",
    "gitter-web-validators": "file:modules/validators",
    "glob": "^6.0.4",
    "handlebars": "~3.0.3",
    "heapdump": "^0.3.7",
    "highlight.js": "^8.6.0",
    "i18n-2": "^0.4.6",
    "intercom-client": "^2.6.0",
    "intercom-stream": "^1.0.0",
    "intercom.io": "~0.0.8",
    "ioredis": "^1.10.0",
    "jwt-simple": "~0.1.0",
    "keyword-extractor": "0.0.9",
    "langs": "^1.0.1",
    "languagedetect": "^1.1.1",
    "lazy.js": "^0.4.2",
    "locale": "0.0.17",
    "lodash": "^3.2.0",
    "loglevel": "^1.2.0",
    "lru-cache": "^2.5.0",
    "memwatch-next": "^0.2.6",
    "method-override": "^2.3.4",
    "mixpanel": "~0.0.19",
    "moment": "^2.10.3",
    "mongodb": "^2.2.35",
    "mongodb-unique-ids": "^0.2.0",
    "mongoose": "~4.6.0",
    "mongoose-number": "^0.1.1",
    "node-gcm": "^0.9.12",
    "node-mongodb-debug-log": "^0.1.2",
    "node-resque": "^1.0.1",
    "node-uuid": "1.4.0",
    "oauth2orize": "~1.0.0",
    "octonode": "^0.6.8",
    "on-headers": "^1.0.1",
    "parse-links": "~0.1.0",
    "passport": "^0.2.2",
    "passport-gitlab2": "^4.0.0",
    "passport-google-oauth2": "^0.1.6",
    "passport-http": "^0.2.2",
    "passport-linkedin-oauth2": "^1.4.0",
    "passport-oauth2-client-password": "^0.1.2",
    "passport-twitter": "^1.0.3",
    "permessage-deflate": "^0.1.2",
    "react": "~15.3.2",
    "react-dom": "~15.3.2",
    "readme-badger": "^0.3.0",
    "redis-lock": "0.0.8",
    "request": "~2.40.0",
    "request-extensible": "^0.1.1",
    "request-http-cache": "^1.0.1",
    "rx": "^4.1.0",
    "rx-node": "^1.0.2",
    "sanitizer": "0.0.15",
    "scriptjs": "^2.5.7",
    "sechash": "github:suprememoocow/node-sechash#10d6a9f5231c3b4ebad9e99f7a4961cfdedd446c",
    "serve-favicon": "^2.3.0",
    "shutdown": "^0.2.3",
    "slug": "^0.9.1",
    "snappy-cache": "^0.3.0",
    "statuserror": "^0.1.3",
    "stringformat": "0.0.5",
    "temp": "0.4.0",
    "tentacles": "^0.3.3",
    "text-filter": "^0.1.1",
    "through2": "^2.0.1",
    "through2-concurrent": "^1.1.0",
    "transloadit": "^1.5.0",
    "underscore": "^1.8.3",
    "url-join": "0.0.1",
    "url-parse": "^1.0.5",
    "useragent": "2.0.6",
    "web-push": "^3.1.0",
    "xregexp": "^2.0.0",
    "yargs": "^4.2.0"
  },
  "devDependencies": {
    "@gitterhq/backbone-proxy-collection": "^2.3.0",
    "@gitterhq/cal-heatmap": "^3.6.1",
    "@gitterhq/handlebars-loader": "1.2.0-a",
    "@gitterhq/styleguide": "^2.0.0",
    "autoprefixer-core": "^6.0.1",
    "babel-core": "^6.16.0",
    "babel-loader": "^6.4.1",
    "babel-plugin-add-module-exports": "^0.2.1",
    "babel-plugin-jsx-strip-ext": "^1.0.0",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-react": "^6.24.1",
    "babel-register": "^6.26.0",
    "babel-runtime": "^6.26.0",
    "backbone-url-resolver": "^0.1.1",
    "backbone.cocktail": "^0.5.13",
    "backbone.marionette": "^2.4.4",
    "beautify-benchmark": "^0.2.4",
    "benchmark": "^2.1.0",
    "cheerio": "^0.22.0",
    "chokidar": "^2.0.1",
    "concurrently": "^2.0.0",
    "cross-spawn": "^4.0.2",
    "css-loader": "^0.23.1",
    "css-mqpacker": "^6.0.1",
    "csswring": "^6.0.0",
    "cumberbatch-name": "^1.0.9",
    "datadog-metrics": "^0.2.1",
    "debug-proxy": "^0.2.0",
    "del": "^3.0.0",
    "dragula": "^3.7.1",
    "enzyme": "^2.4.1",
    "eslint": "^4.1.1",
    "eslint-plugin-import": "^2.6.1",
    "eslint-plugin-jquery": "^1.2.1",
    "eslint-plugin-mocha": "^4.11.0",
    "eslint-plugin-node": "^5.1.0",
    "eslint-plugin-react": "^7.1.0",
    "extract-text-webpack-plugin": "^1.0.1",
    "fastclick": "^1.0.6",
    "fastdom": "^1.0.1",
    "faye": "^1.1.2",
    "file-loader": "^0.9.0",
    "fingerprintjs2": "^1.4.1",
    "fontfaceobserver": "^1.7.1",
    "gitter-web-client-error-reporting": "file:modules/client-error-reporting",
    "gitter-web-test-utils": "file:modules/test-utils",
    "gulp": "^3.9.1",
    "gulp-babel": "^6.1.2",
    "gulp-brotli": "^1.1.0",
    "gulp-codecov": "^3.0.1",
    "gulp-eslint": "^4.0.0",
    "gulp-filter": "^4.0.0",
    "gulp-git": "^2.4.0",
    "gulp-github": "^0.3.5",
    "gulp-grep-stream": "0.0.2",
    "gulp-gzip": "^1.2.0",
    "gulp-if": "^1.2.5",
    "gulp-jsonlint": "^1.2.0",
    "gulp-less": "^3.0.5",
    "gulp-nodemon": "^2.2.1",
    "gulp-postcss": "^7.0.0",
    "gulp-replace": "^0.5.4",
    "gulp-shell": "^0.4.1",
    "gulp-sourcemaps": "^1.6.0",
    "gulp-tar": "^1.5.0",
    "gulp-uglify": "^3.0.0",
    "gulp-using": "^0.1.1",
    "gulp-util": "^3.0.7",
    "hammerjs": "^2.0.4",
    "http-server": "^0.9.0",
    "i18n-webpack-plugin": "^0.2.7",
    "inject-loader": "^2.0.1",
    "istanbul-instrumenter-loader": "^0.1.3",
    "jquery": "2.1.0",
    "jsdom": "^9.4.5",
    "jsdom-global": "^2.1.0",
    "jsmockito": "^1.0.5",
    "keymaster": "^1.6.2",
    "lcov-result-merger": "^1.2.0",
    "less": "^2.6.1",
    "less-loader": "^2.2.3",
    "lorem-ipsum": "^1.0.1",
    "memoize-promise": "^0.2.2",
    "mkdirp": "^0.5.1",
    "mocha": "^5.2.0",
    "mocha-multi": "^1.0.1",
    "mutantjs": "^0.2.0",
    "nanoscroller": "^0.8.7",
    "node-spritesheet": "github:trevorah/node-spritesheet",
    "nodeselektor": "^0.14.0",
    "normalize.css": "^4.2.0",
    "nyc": "^7.0.0",
    "parse-diff": "^0.4.0",
    "path-parse": "^1.0.5",
    "postcss": "^4.0.0",
    "postcss-loader": "^1.3.3",
    "progress-bar-webpack-plugin": "^1.2.0",
    "proxyquire": "0.4.0",
    "pump": "^1.0.1",
    "qs": "^6.2.1",
    "random-seed": "^0.2.0",
    "raven-js": "^3.24.2",
    "react-addons-test-utils": "~15.3.1",
    "reduce-function-call": "^1.0.1",
    "require-all": "^2.0.0",
    "run-sequence": "^1.2.2",
    "signal-exit": "^3.0.0",
    "simple-git": "^1.73.0",
    "sinon": "1.5.2",
    "speedy": "^0.1.1",
    "style-loader": "^0.13.1",
    "supertest": "^1.2.0",
    "supertest-as-promised": "^3.1.0",
    "svg-url-loader": "^1.1.0",
    "svgo": "^0.7.1",
    "svgo-loader": "^1.1.0",
    "tentacles-streams": "^0.1.9",
    "tiny-cookie": "^0.5.5",
    "url-loader": "^0.5.7",
    "vinyl-file": "^3.0.0",
    "webpack": "^1.15.0",
    "webpack-dev-middleware": "^1.12.2",
    "webpack-stats-plugin": "^0.1.3",
    "webpack-stream": "^3.2.0",
    "webpack-visualizer-plugin": "^0.1.5",
    "worker-loader": "github:unizin/worker-loader#3847cc7d9df2e9d83893c628f9332f60327ce8e8"
  },
  "engines": {
    "node": ">=6.0.0",
    "npm": ">=5.8.0"
  },
  "main": "web.js",
  "scripts": {
    "gulp": "gulp",
    "task-validate-diff": "gulp validate-eslint-diff",
    "start": "gulp watch",
    "dev": "gulp watch",
    "dev-template": "concurrently --raw \"npm run start -- --watch server --watch shared --watch modules --watch public  --ignore public/**/!(*.hbs)\" \"gulp watch\"",
    "test": "gulp test:test",
    "mocha": "mocha --exit",
    "nyc": "nyc",
    "nodeselektor": "ns",
    "task-css": "gulp css:compile",
    "task-fasttest": "gulp test:test --test-fast",
    "precommit-checks": "eslint --cache --quiet --format unix --ext .js --ext .jsx . && gulp linter:validate:config test:test --test-fast --test-critical-only",
    "task-validate": "gulp validate",
    "task-watch": "gulp watch",
    "build-android-assets": "gulp --gulpfile gulpfile-embedded.js --android",
    "build-ios-assets": "gulp --gulpfile gulpfile-embedded.js --ios",
    "browser-build-tests": "webpack --config ./test/in-browser/webpack.config.js",
    "browser-run-test": "cd ./test/in-browser/fixtures && devtool -cq runner.js",
    "browser-test": "npm run browser-build-tests && npm run browser-run-test",
    "browser-watch-build-tests": "webpack -w --config ./test/in-browser/webpack.config.js",
    "browser-watch-run-tests": "http-server ./test/in-browser -p 9191 & live-reload ./test/in-browser/fixtures --port 9192",
    "browser-watch-test": "npm run browser-watch-build-tests & npm run browser-watch-run-tests"
  },
  "git": {
    "scripts": {
      "pre-commit": "gulp fasttest",
      "post-merge": "npm prune && npm install"
    }
  },
  "nyc": {
    "exclude": [
      "public/repo/**",
      "**/test/**"
    ]
  },
  "description": "Gitter Webapp =============",
  "directories": {
    "doc": "docs",
    "test": "test"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/gitlab-org/gitter/webapp.git"
  },
  "author": "Andrew Newdigate <andrew@gitlab.com> (http://about.me/andrewnewdigate)",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/gitlab-org/gitter/webapp/issues"
  },
  "homepage": "https://gitlab.com/gitlab-org/gitter/webapp#readme"
}
